Tin An Ninh Mạng

Các thiết bị camera giám sát của TP-Link tồn tại lỗ hổng thực thi mã từ xa nghiêm trọng

TP-Link vừa phát hành bản cập nhật firmware để giải quyết một số lỗ hổng trong thiết bị giám sát qua Wi-Fi dòng NC, bao gồm các lỗi có thể dẫn đến việc thực thi các lệnh từ xa tùy ý.


{

}

link-nc200-01.jpg

Lỗ hổng đầu tiên (CVE-2020-12111) là một lỗi tiêm lệnh (command injection) tác động đến các thiết bị NC260 và NC450 và có thể bị lạm dụng để thực thi các lệnh từ xa với tài khoản root trên các thiết bị bị ảnh hưởng.

Vấn đề tồn tại trong phương thức httpSetEncryptKeyRpm (trình xử lý cho /setEncryptKey.fcgi) của chương trình giám sát ipcamera trong thiết bị TP-Link, trong đó tham số EncryptKey do người dùng kiểm soát được sử dụng trực tiếp như một phần của dòng lệnh thực thi. Sự thiếu chặt chẽ trong kiểm tra dữ liệu đầu vào của người dùng dẫn đến lỗ hổng này.

Kẻ tấn công trước tiên cần xác thực trên trang quản trị của thiết bị ở giao diện web và thực hiện yêu cầu POST tới /setEncryptKey.fcgi. Các lệnh được thực thi với quyền root có thể được thêm vào trong tham số EncryptKey.

Lỗ hổng command injection thứ hai (CVE-2020-12109) ảnh hưởng tới các thiết bị TP-Link NC200, NC210, NC220, NC230, NC250, NC260, và NC450.

Ngoài hai lỗ hổng trên, TP-Link cũng đã vá một lỗ hổng liên quan tới vấn đề khóa mã hóa cứng trong các thiết bị NC200, NC210, NC220, NC230, NC250, NC260 và NC450.

Khai thác lỗ hổng này, kẻ tấn công có thể giải mã các tệp sao lưu và truy cập dữ liệu nhạy cảm, bao gồm các thông tin như người dùng và mật khẩu máy chủ FTP, mật khẩu WLAN, mật khẩu và người dùng PPPOE, mật khẩu và người dùng máy chủ SMTP, mật khẩu và người dùng DDNS.

Nhà nghiên cứu bảo mật Pietro Oliva, người đã phát hiện ra các lỗ hổng, cũng lưu ý rằng vấn đề này có thể cho phép kẻ tấn công giả mạo các tệp sao lưu được mã hóa mà có thể được khôi phục thông qua giao diện web để ghi hoặc ghi đè lên các tệp tùy ý. Do đó, kẻ tấn công có thể cài cắm backdoor hoặc thực thi mã với quyền root.

Các bản cập nhật firmware giải quyết tất cả các lỗ hổng này đã được phát hành vào ngày 29/4. Người dùng nên cài đặt chúng càng sớm càng tốt để đảm bảo rằng các thiết bị của mình được bảo vệ an toàn.

TP-Link đã đưa ra hướng dẫn chi tiết để cập nhật phần sụn cho từng thiết bị. Các bạn tham khảo theo chỉ dẫn tương ứng với thiết bị của bạn nhé:

Theo: securityweek

Đăng ký liền tay Nhận Ngay Bài Mới

Subscribe ngay

Cám ơn bạn đã đăng ký !

Lỗi đăng ký !

Add Comment

Click here to post a comment

Đăng ký liền tay
Nhận Ngay Bài Mới

Subscribe ngay

Cám ơn bạn đã đăng ký !

Lỗi đăng ký !